##
## Authentication for Plesk mail users.
##

# PLEASE DON'T EDIT ANYTHING IN THIS FILE! ANY CHANGES WILL BE LOST ON UPGRADE.

service auth { # applies when blocking=no
  user =
  group =
}

service auth-worker { # applies when blocking=yes
  user =
  group =
}


passdb plesk {
}

sql_driver = sqlite
sqlite_path = /var/lib/plesk/mail/userdb/userdb.db

userdb sql {
  query = SELECT quota AS quota_storage_size, 'popuser' AS uid, 'popuser' AS gid, domain_name AS domain FROM mailbox_quota WHERE mailbox_name = '%{user | username}' AND domain_name = '%{user | domain}';
}

# vim:ts=2 sts=2 sw=2 et:
